TICKIT_DEBUG_LOGF(3)

NAME
tickit_debug_logf, tickit_debug_vlogf - emit debugging log messages

SYNOPSIS
    #include <tickit.h>

    void tickit_debug_logf(const char *flag,
              const char *fmt, ...);
    void tickit_debug_vlogf(const char *flag,
              const char *fmt, va_list args);

Link with -ltickit.

DESCRIPTION
tickit_debug_logf() emits a debug logging message, by creating a string using the given format string and argument list in the style of sprintf(3). If the requested message flag is enabled, this will be appended to the log output along with a timestamp and the name of the flag itself.

tickit_debug_vlogf() works analogously, except that it takes a single va_list for the arguments to format.

RETURN VALUE
These functions return no value.

SEE ALSO
tickit_debug(7), tickit(7)